# Institutional Rating Views Timeline

`GET` `/v1/quote/ratings/institutional`

Get the monthly institutional rating (buy/hold/sell) distribution timeline, newest first.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol, e.g. `AAPL.US` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/ratings/institutional?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `elist` | object[] | No | Monthly rating distribution list, newest first |
| `└ buy` | string | No | Number of Buy ratings |
| `└ over` | string | No | Number of Outperform ratings |
| `└ hold` | string | No | Number of Hold ratings |
| `└ under` | string | No | Number of Underperform ratings |
| `└ sell` | string | No | Number of Sell ratings |
| `└ total` | string | No | Total analyst count |
| `└ no_opinion` | string | No | Number of analysts with no opinion. |
| `└ date` | string | No | Unix timestamp (seconds) |
| `tlist` | object[] | No | Time-series list. |
| `└ date` | string | No | Unix timestamp (seconds) |
| `└ close` | string | No | Closing price. |
| `└ high_price` | string | No | High price. |
| `└ low_price` | string | No | Low price. |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "elist": [
      {
        "date": 1746057600,
        "buy": "18",
        "over": "5",
        "hold": "17",
        "under": "3",
        "sell": "4",
        "total": "51"
      },
      {
        "date": 1743379200,
        "buy": "17",
        "over": "6",
        "hold": "18",
        "under": "3",
        "sell": "5",
        "total": "53"
      }
    ]
  }
}
```
